# gen-shell
[![builds.sr.ht status](https://builds.sr.ht/~armaan/gen-shell/commits/.build.yml.svg)](https://builds.sr.ht/~armaan/gen-shell/commits/.build.yml?)

A simple way to turn any command into a shell with arrow key/history support (if compiled with libreadline). Forked from [taskshell](https://github.com/GothenburgBitFactory/taskshell).

## Usage
See `gen-shell --help`

## Installation
### From a binary
Binaries can be downloaded from [here](https://builds.sr.ht/~armaan/gen-shell/commits/.build.yml). NB: these binaries are compiled against libreadline version 8

### From source
Dependencies:  
  - cmake (2.8 or higher)
  - make
  - g++ (sometimes packaged as gcc-c++ or gcc-g++)
  - libreadline development files (7 or 8 is fine, 5 is untested) (optional, but highly recommended)

```bash
git clone https://git.sr.ht/~armaan/gen-shell
cd gen-shell
cmake .
sudo make install
```
## License
Following suit from taskshell, gen-shell is MIT licensed by Armaan Bhojwani, 2020. Gen-shell is forked from taskshell, which was developed by [these people](https://github.com/GothenburgBitFactory/taskshell/blob/master/AUTHORS).

Gen-shell uses the [Sarge library](https://github.com/MayaPosch/Sarge) for parsing command-line arguments. Sarge was written by Maya Posch and is BSD 3-Clause licensed.
